source: squid-ssl/trunk/fuentes/helpers/digest_auth/LDAP/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 21 months ago

Initial release

File size: 40.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = digest_ldap_auth$(EXEEXT)
95subdir = helpers/digest_auth/LDAP
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_digest_ldap_auth_OBJECTS = digest_pw_auth.$(OBJEXT) \
165        ldap_backend.$(OBJEXT)
166digest_ldap_auth_OBJECTS = $(am_digest_ldap_auth_OBJECTS)
167@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171digest_ldap_auth_DEPENDENCIES =  \
172        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
173        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
174        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
175        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
176AM_V_lt = $(am__v_lt_@AM_V@)
177am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
178am__v_lt_0 = --silent
179am__v_lt_1 =
180AM_V_P = $(am__v_P_@AM_V@)
181am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
182am__v_P_0 = false
183am__v_P_1 = :
184AM_V_GEN = $(am__v_GEN_@AM_V@)
185am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
186am__v_GEN_0 = @echo "  GEN     " $@;
187am__v_GEN_1 =
188AM_V_at = $(am__v_at_@AM_V@)
189am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
190am__v_at_0 = @
191am__v_at_1 =
192DEFAULT_INCLUDES =
193depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
194am__depfiles_maybe = depfiles
195am__mv = mv -f
196CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
197        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
198LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
199        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
200        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
201        $(AM_CXXFLAGS) $(CXXFLAGS)
202AM_V_CXX = $(am__v_CXX_@AM_V@)
203am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
204am__v_CXX_0 = @echo "  CXX     " $@;
205am__v_CXX_1 =
206CXXLD = $(CXX)
207CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
208        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
209        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
210AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
211am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
212am__v_CXXLD_0 = @echo "  CXXLD   " $@;
213am__v_CXXLD_1 =
214COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
215        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
216LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
217        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
218        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
219        $(AM_CFLAGS) $(CFLAGS)
220AM_V_CC = $(am__v_CC_@AM_V@)
221am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
222am__v_CC_0 = @echo "  CC      " $@;
223am__v_CC_1 =
224CCLD = $(CC)
225LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
226        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
227        $(AM_LDFLAGS) $(LDFLAGS) -o $@
228AM_V_CCLD = $(am__v_CCLD_@AM_V@)
229am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
230am__v_CCLD_0 = @echo "  CCLD    " $@;
231am__v_CCLD_1 =
232SOURCES = $(digest_ldap_auth_SOURCES)
233DIST_SOURCES = $(digest_ldap_auth_SOURCES)
234am__can_run_installinfo = \
235  case $$AM_UPDATE_INFO_DIR in \
236    n|no|NO) false;; \
237    *) (install-info --version) >/dev/null 2>&1;; \
238  esac
239am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
240# Read a list of newline-separated strings from the standard input,
241# and print each of them once, without duplicates.  Input order is
242# *not* preserved.
243am__uniquify_input = $(AWK) '\
244  BEGIN { nonempty = 0; } \
245  { items[$$0] = 1; nonempty = 1; } \
246  END { if (nonempty) { for (i in items) print i; }; } \
247'
248# Make sure the list of sources is unique.  This is necessary because,
249# e.g., the same source file might be shared among _SOURCES variables
250# for different programs/libraries.
251am__define_uniq_tagged_files = \
252  list='$(am__tagged_files)'; \
253  unique=`for i in $$list; do \
254    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
255  done | $(am__uniquify_input)`
256ETAGS = etags
257CTAGS = ctags
258am__tty_colors_dummy = \
259  mgn= red= grn= lgn= blu= brg= std=; \
260  am__color_tests=no
261am__tty_colors = { \
262  $(am__tty_colors_dummy); \
263  if test "X$(AM_COLOR_TESTS)" = Xno; then \
264    am__color_tests=no; \
265  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
266    am__color_tests=yes; \
267  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
268    am__color_tests=yes; \
269  fi; \
270  if test $$am__color_tests = yes; then \
271    red='[0;31m'; \
272    grn='[0;32m'; \
273    lgn='[1;32m'; \
274    blu='[1;34m'; \
275    mgn='[0;35m'; \
276    brg='[1m'; \
277    std='[m'; \
278  fi; \
279}
280am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
281am__vpath_adj = case $$p in \
282    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
283    *) f=$$p;; \
284  esac;
285am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
286am__install_max = 40
287am__nobase_strip_setup = \
288  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
289am__nobase_strip = \
290  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
291am__nobase_list = $(am__nobase_strip_setup); \
292  for p in $$list; do echo "$$p $$p"; done | \
293  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
294  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
295    if (++n[$$2] == $(am__install_max)) \
296      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
297    END { for (dir in files) print dir, files[dir] }'
298am__base_list = \
299  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
300  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
301am__uninstall_files_from_dir = { \
302  test -z "$$files" \
303    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
304    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
305         $(am__cd) "$$dir" && rm -f $$files; }; \
306  }
307am__recheck_rx = ^[     ]*:recheck:[    ]*
308am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
309am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
310# A command that, given a newline-separated list of test names on the
311# standard input, print the name of the tests that are to be re-run
312# upon "make recheck".
313am__list_recheck_tests = $(AWK) '{ \
314  recheck = 1; \
315  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
316    { \
317      if (rc < 0) \
318        { \
319          if ((getline line2 < ($$0 ".log")) < 0) \
320            recheck = 0; \
321          break; \
322        } \
323      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
324        { \
325          recheck = 0; \
326          break; \
327        } \
328      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
329        { \
330          break; \
331        } \
332    }; \
333  if (recheck) \
334    print $$0; \
335  close ($$0 ".trs"); \
336  close ($$0 ".log"); \
337}'
338# A command that, given a newline-separated list of test names on the
339# standard input, create the global log from their .trs and .log files.
340am__create_global_log = $(AWK) ' \
341function fatal(msg) \
342{ \
343  print "fatal: making $@: " msg | "cat >&2"; \
344  exit 1; \
345} \
346function rst_section(header) \
347{ \
348  print header; \
349  len = length(header); \
350  for (i = 1; i <= len; i = i + 1) \
351    printf "="; \
352  printf "\n\n"; \
353} \
354{ \
355  copy_in_global_log = 1; \
356  global_test_result = "RUN"; \
357  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
358    { \
359      if (rc < 0) \
360         fatal("failed to read from " $$0 ".trs"); \
361      if (line ~ /$(am__global_test_result_rx)/) \
362        { \
363          sub("$(am__global_test_result_rx)", "", line); \
364          sub("[        ]*$$", "", line); \
365          global_test_result = line; \
366        } \
367      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
368        copy_in_global_log = 0; \
369    }; \
370  if (copy_in_global_log) \
371    { \
372      rst_section(global_test_result ": " $$0); \
373      while ((rc = (getline line < ($$0 ".log"))) != 0) \
374      { \
375        if (rc < 0) \
376          fatal("failed to read from " $$0 ".log"); \
377        print line; \
378      }; \
379      printf "\n"; \
380    }; \
381  close ($$0 ".trs"); \
382  close ($$0 ".log"); \
383}'
384# Restructured Text title.
385am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
386# Solaris 10 'make', and several other traditional 'make' implementations,
387# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
388# by disabling -e (using the XSI extension "set +e") if it's set.
389am__sh_e_setup = case $$- in *e*) set +e;; esac
390# Default flags passed to test drivers.
391am__common_driver_flags = \
392  --color-tests "$$am__color_tests" \
393  --enable-hard-errors "$$am__enable_hard_errors" \
394  --expect-failure "$$am__expect_failure"
395# To be inserted before the command running the test.  Creates the
396# directory for the log if needed.  Stores in $dir the directory
397# containing $f, in $tst the test, in $log the log.  Executes the
398# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
399# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
400# will run the test scripts (or their associated LOG_COMPILER, if
401# thy have one).
402am__check_pre = \
403$(am__sh_e_setup);                                      \
404$(am__vpath_adj_setup) $(am__vpath_adj)                 \
405$(am__tty_colors);                                      \
406srcdir=$(srcdir); export srcdir;                        \
407case "$@" in                                            \
408  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
409    *) am__odir=.;;                                     \
410esac;                                                   \
411test "x$$am__odir" = x"." || test -d "$$am__odir"       \
412  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
413if test -f "./$$f"; then dir=./;                        \
414elif test -f "$$f"; then dir=;                          \
415else dir="$(srcdir)/"; fi;                              \
416tst=$$dir$$f; log='$@';                                 \
417if test -n '$(DISABLE_HARD_ERRORS)'; then               \
418  am__enable_hard_errors=no;                            \
419else                                                    \
420  am__enable_hard_errors=yes;                           \
421fi;                                                     \
422case " $(XFAIL_TESTS) " in                              \
423  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
424    am__expect_failure=yes;;                            \
425  *)                                                    \
426    am__expect_failure=no;;                             \
427esac;                                                   \
428$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
429# A shell command to get the names of the tests scripts with any registered
430# extension removed (i.e., equivalently, the names of the test logs, with
431# the '.log' extension removed).  The result is saved in the shell variable
432# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
433# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
434# since that might cause problem with VPATH rewrites for suffix-less tests.
435# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
436am__set_TESTS_bases = \
437  bases='$(TEST_LOGS)'; \
438  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
439  bases=`echo $$bases`
440RECHECK_LOGS = $(TEST_LOGS)
441AM_RECURSIVE_TARGETS = check recheck
442TEST_SUITE_LOG = test-suite.log
443TEST_EXTENSIONS = @EXEEXT@ .test
444am__test_logs1 = $(TESTS:=.log)
445am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
446TEST_LOGS = $(am__test_logs2:.test.log=.log)
447TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
448TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
449        $(TEST_LOG_FLAGS)
450am__set_b = \
451  case '$@' in \
452    */*) \
453      case '$*' in \
454        */*) b='$*';; \
455          *) b=`echo '$@' | sed 's/\.log$$//'`; \
456       esac;; \
457    *) \
458      b='$*';; \
459  esac
460am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
461        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
462DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
463ACLOCAL = @ACLOCAL@
464ADAPTATION_LIBS = @ADAPTATION_LIBS@
465ALLOCA = @ALLOCA@
466AMTAR = @AMTAR@
467AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
468AR = @AR@
469ARGZ_H = @ARGZ_H@
470AR_R = @AR_R@
471AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
472AUTH_MODULES = @AUTH_MODULES@
473AUTOCONF = @AUTOCONF@
474AUTOHEADER = @AUTOHEADER@
475AUTOMAKE = @AUTOMAKE@
476AWK = @AWK@
477BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
478BUILDCXX = @BUILDCXX@
479BUILDCXXFLAGS = @BUILDCXXFLAGS@
480BZR = @BZR@
481CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
482CC = @CC@
483CCDEPMODE = @CCDEPMODE@
484CFLAGS = @CFLAGS@
485CGIEXT = @CGIEXT@
486CHMOD = @CHMOD@
487CPP = @CPP@
488CPPFLAGS = @CPPFLAGS@
489CPPUNITCONFIG = @CPPUNITCONFIG@
490CRYPTLIB = @CRYPTLIB@
491CXX = @CXX@
492CXXCPP = @CXXCPP@
493CXXDEPMODE = @CXXDEPMODE@
494CXXFLAGS = @CXXFLAGS@
495CYGPATH_W = @CYGPATH_W@
496DEFAULT_HOSTS = @DEFAULT_HOSTS@
497DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
498DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
499DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
500DEFS = @DEFS@
501DEPDIR = @DEPDIR@
502DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
503DISK_LIBS = @DISK_LIBS@
504DISK_LINKOBJS = @DISK_LINKOBJS@
505DISK_MODULES = @DISK_MODULES@
506DISK_OS_LIBS = @DISK_OS_LIBS@
507DISK_PROGRAMS = @DISK_PROGRAMS@
508DLLTOOL = @DLLTOOL@
509DSYMUTIL = @DSYMUTIL@
510DUMPBIN = @DUMPBIN@
511ECAP_LIBS = @ECAP_LIBS@
512ECHO_C = @ECHO_C@
513ECHO_N = @ECHO_N@
514ECHO_T = @ECHO_T@
515EGREP = @EGREP@
516EPOLL_LIBS = @EPOLL_LIBS@
517EUILIB = @EUILIB@
518EXEEXT = @EXEEXT@
519EXPATLIB = @EXPATLIB@
520EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
521EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
522EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
523FALSE = @FALSE@
524FGREP = @FGREP@
525GREP = @GREP@
526HAVE_CXX11 = @HAVE_CXX11@
527ICAP_LIBS = @ICAP_LIBS@
528INCLTDL = @INCLTDL@
529INSTALL = @INSTALL@
530INSTALL_DATA = @INSTALL_DATA@
531INSTALL_PROGRAM = @INSTALL_PROGRAM@
532INSTALL_SCRIPT = @INSTALL_SCRIPT@
533INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
534KRB5INCS = @KRB5INCS@
535KRB5LIBS = @KRB5LIBS@
536LBERLIB = @LBERLIB@
537LD = @LD@
538LDAPLIB = @LDAPLIB@
539LDFLAGS = @LDFLAGS@
540LIBADD_DL = @LIBADD_DL@
541LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
542LIBADD_DLOPEN = @LIBADD_DLOPEN@
543LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
544LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
545LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
546LIBLTDL = @LIBLTDL@
547LIBOBJS = @LIBOBJS@
548LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
549LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
550LIBS = @LIBS@
551LIBSASL = @LIBSASL@
552LIBTOOL = @LIBTOOL@
553LIB_DB = @LIB_DB@
554LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
555LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
556LINUXDOC = @LINUXDOC@
557LIPO = @LIPO@
558LN = @LN@
559LN_S = @LN_S@
560LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
561LTDLDEPS = @LTDLDEPS@
562LTDLINCL = @LTDLINCL@
563LTDLOPEN = @LTDLOPEN@
564LTLIBOBJS = @LTLIBOBJS@
565LT_CONFIG_H = @LT_CONFIG_H@
566LT_DLLOADERS = @LT_DLLOADERS@
567LT_DLPREOPEN = @LT_DLPREOPEN@
568MAINT = @MAINT@
569MAKEINFO = @MAKEINFO@
570MANIFEST_TOOL = @MANIFEST_TOOL@
571MINGW_LIBS = @MINGW_LIBS@
572MKDIR = @MKDIR@
573MKDIR_P = @MKDIR_P@
574MV = @MV@
575NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
576NETTLELIB = @NETTLELIB@
577NM = @NM@
578NMEDIT = @NMEDIT@
579NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
580OBJDUMP = @OBJDUMP@
581OBJEXT = @OBJEXT@
582OTOOL = @OTOOL@
583OTOOL64 = @OTOOL64@
584PACKAGE = @PACKAGE@
585PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
586PACKAGE_NAME = @PACKAGE_NAME@
587PACKAGE_STRING = @PACKAGE_STRING@
588PACKAGE_TARNAME = @PACKAGE_TARNAME@
589PACKAGE_URL = @PACKAGE_URL@
590PACKAGE_VERSION = @PACKAGE_VERSION@
591PATH_SEPARATOR = @PATH_SEPARATOR@
592PERL = @PERL@
593PKG_CONFIG = @PKG_CONFIG@
594PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
595PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
596PO2HTML = @PO2HTML@
597PO2TEXT = @PO2TEXT@
598POD2MAN = @POD2MAN@
599RANLIB = @RANLIB@
600REGEXLIB = @REGEXLIB@
601REPL_LIBS = @REPL_LIBS@
602REPL_OBJS = @REPL_OBJS@
603REPL_POLICIES = @REPL_POLICIES@
604RM = @RM@
605SED = @SED@
606SET_MAKE = @SET_MAKE@
607SH = @SH@
608SHELL = @SHELL@
609SMBCLIENT = @SMBCLIENT@
610SNMPLIB = @SNMPLIB@
611SQUID_CFLAGS = @SQUID_CFLAGS@
612SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
613SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
614SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
615SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
616SSLLIB = @SSLLIB@
617STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
618STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
619STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
620STORE_TESTS = @STORE_TESTS@
621STRIP = @STRIP@
622TR = @TR@
623TRUE = @TRUE@
624URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
625VERSION = @VERSION@
626WBINFO = @WBINFO@
627WIN32_PSAPI = @WIN32_PSAPI@
628XMLLIB = @XMLLIB@
629XTRA_LIBS = @XTRA_LIBS@
630XTRA_OBJS = @XTRA_OBJS@
631abs_builddir = @abs_builddir@
632abs_srcdir = @abs_srcdir@
633abs_top_builddir = @abs_top_builddir@
634abs_top_srcdir = @abs_top_srcdir@
635ac_ct_AR = @ac_ct_AR@
636ac_ct_CC = @ac_ct_CC@
637ac_ct_CXX = @ac_ct_CXX@
638ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
639am__include = @am__include@
640am__leading_dot = @am__leading_dot@
641am__quote = @am__quote@
642am__tar = @am__tar@
643am__untar = @am__untar@
644bindir = @bindir@
645build = @build@
646build_alias = @build_alias@
647build_cpu = @build_cpu@
648build_os = @build_os@
649build_vendor = @build_vendor@
650builddir = @builddir@
651datadir = @datadir@
652datarootdir = @datarootdir@
653docdir = @docdir@
654dvidir = @dvidir@
655exec_prefix = @exec_prefix@
656host = @host@
657host_alias = @host_alias@
658host_cpu = @host_cpu@
659host_os = @host_os@
660host_vendor = @host_vendor@
661htmldir = @htmldir@
662includedir = @includedir@
663infodir = @infodir@
664install_sh = @install_sh@
665krb5_config = @krb5_config@
666libdir = @libdir@
667libexecdir = @libexecdir@
668localedir = @localedir@
669localstatedir = @localstatedir@
670ltdl_LIBOBJS = @ltdl_LIBOBJS@
671ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
672mandir = @mandir@
673mkdir_p = @mkdir_p@
674oldincludedir = @oldincludedir@
675pdfdir = @pdfdir@
676prefix = @prefix@
677program_transform_name = @program_transform_name@
678psdir = @psdir@
679runstatedir = @runstatedir@
680sbindir = @sbindir@
681sharedstatedir = @sharedstatedir@
682srcdir = @srcdir@
683subdirs = @subdirs@
684sys_symbol_underscore = @sys_symbol_underscore@
685sysconfdir = @sysconfdir@
686target_alias = @target_alias@
687top_build_prefix = @top_build_prefix@
688top_builddir = @top_builddir@
689top_srcdir = @top_srcdir@
690AM_CFLAGS = $(SQUID_CFLAGS)
691AM_CXXFLAGS = $(SQUID_CXXFLAGS)
692CLEANFILES =
693AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
694        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
695        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
696        $(am__append_1) -I$(srcdir)
697@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
698@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
699COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
700subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
701digest_ldap_auth_SOURCES = digest_pw_auth.cc \
702        digest_common.h \
703        ldap_backend.cc \
704        ldap_backend.h
705
706digest_ldap_auth_LDADD = \
707        $(top_builddir)/lib/libmiscencoding.la \
708        $(COMPAT_LIB) \
709        $(LDAPLIB) \
710        $(LBERLIB) \
711        $(NETTLELIB) \
712        $(CRYPTLIB) \
713        $(SSLLIB) \
714        $(XTRA_LIBS)
715
716EXTRA_DIST = required.m4
717all: all-am
718
719.SUFFIXES:
720.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
721$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
722        @for dep in $?; do \
723          case '$(am__configure_deps)' in \
724            *$$dep*) \
725              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
726                && { if test -f $@; then exit 0; else break; fi; }; \
727              exit 1;; \
728          esac; \
729        done; \
730        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/digest_auth/LDAP/Makefile'; \
731        $(am__cd) $(top_srcdir) && \
732          $(AUTOMAKE) --foreign helpers/digest_auth/LDAP/Makefile
733Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
734        @case '$?' in \
735          *config.status*) \
736            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
737          *) \
738            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
739            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
740        esac;
741$(top_srcdir)/src/Common.am $(am__empty):
742
743$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
744        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
745
746$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
747        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
748$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
749        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
750$(am__aclocal_m4_deps):
751
752clean-checkPROGRAMS:
753        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
754        echo " rm -f" $$list; \
755        rm -f $$list || exit $$?; \
756        test -n "$(EXEEXT)" || exit 0; \
757        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
758        echo " rm -f" $$list; \
759        rm -f $$list
760install-libexecPROGRAMS: $(libexec_PROGRAMS)
761        @$(NORMAL_INSTALL)
762        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
763        if test -n "$$list"; then \
764          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
765          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
766        fi; \
767        for p in $$list; do echo "$$p $$p"; done | \
768        sed 's/$(EXEEXT)$$//' | \
769        while read p p1; do if test -f $$p \
770         || test -f $$p1 \
771          ; then echo "$$p"; echo "$$p"; else :; fi; \
772        done | \
773        sed -e 'p;s,.*/,,;n;h' \
774            -e 's|.*|.|' \
775            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
776        sed 'N;N;N;s,\n, ,g' | \
777        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
778          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
779            if ($$2 == $$4) files[d] = files[d] " " $$1; \
780            else { print "f", $$3 "/" $$4, $$1; } } \
781          END { for (d in files) print "f", d, files[d] }' | \
782        while read type dir files; do \
783            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
784            test -z "$$files" || { \
785            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
786            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
787            } \
788        ; done
789
790uninstall-libexecPROGRAMS:
791        @$(NORMAL_UNINSTALL)
792        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
793        files=`for p in $$list; do echo "$$p"; done | \
794          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
795              -e 's/$$/$(EXEEXT)/' \
796        `; \
797        test -n "$$list" || exit 0; \
798        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
799        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
800
801clean-libexecPROGRAMS:
802        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
803        echo " rm -f" $$list; \
804        rm -f $$list || exit $$?; \
805        test -n "$(EXEEXT)" || exit 0; \
806        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
807        echo " rm -f" $$list; \
808        rm -f $$list
809
810digest_ldap_auth$(EXEEXT): $(digest_ldap_auth_OBJECTS) $(digest_ldap_auth_DEPENDENCIES) $(EXTRA_digest_ldap_auth_DEPENDENCIES)
811        @rm -f digest_ldap_auth$(EXEEXT)
812        $(AM_V_CXXLD)$(CXXLINK) $(digest_ldap_auth_OBJECTS) $(digest_ldap_auth_LDADD) $(LIBS)
813
814mostlyclean-compile:
815        -rm -f *.$(OBJEXT)
816
817distclean-compile:
818        -rm -f *.tab.c
819
820@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/digest_pw_auth.Po@am__quote@
821@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ldap_backend.Po@am__quote@
822
823.cc.o:
824@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
825@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
826@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
827@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
828@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
829@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
830
831.cc.obj:
832@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
833@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
834@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
835@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
836@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
837@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
838
839.cc.lo:
840@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
841@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
842@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
843@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
844@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
845@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
846
847mostlyclean-libtool:
848        -rm -f *.lo
849
850clean-libtool:
851        -rm -rf .libs _libs
852
853ID: $(am__tagged_files)
854        $(am__define_uniq_tagged_files); mkid -fID $$unique
855tags: tags-am
856TAGS: tags
857
858tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
859        set x; \
860        here=`pwd`; \
861        $(am__define_uniq_tagged_files); \
862        shift; \
863        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
864          test -n "$$unique" || unique=$$empty_fix; \
865          if test $$# -gt 0; then \
866            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
867              "$$@" $$unique; \
868          else \
869            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
870              $$unique; \
871          fi; \
872        fi
873ctags: ctags-am
874
875CTAGS: ctags
876ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
877        $(am__define_uniq_tagged_files); \
878        test -z "$(CTAGS_ARGS)$$unique" \
879          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
880             $$unique
881
882GTAGS:
883        here=`$(am__cd) $(top_builddir) && pwd` \
884          && $(am__cd) $(top_srcdir) \
885          && gtags -i $(GTAGS_ARGS) "$$here"
886cscopelist: cscopelist-am
887
888cscopelist-am: $(am__tagged_files)
889        list='$(am__tagged_files)'; \
890        case "$(srcdir)" in \
891          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
892          *) sdir=$(subdir)/$(srcdir) ;; \
893        esac; \
894        for i in $$list; do \
895          if test -f "$$i"; then \
896            echo "$(subdir)/$$i"; \
897          else \
898            echo "$$sdir/$$i"; \
899          fi; \
900        done >> $(top_builddir)/cscope.files
901
902distclean-tags:
903        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
904
905# Recover from deleted '.trs' file; this should ensure that
906# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
907# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
908# to avoid problems with "make -n".
909.log.trs:
910        rm -f $< $@
911        $(MAKE) $(AM_MAKEFLAGS) $<
912
913# Leading 'am--fnord' is there to ensure the list of targets does not
914# expand to empty, as could happen e.g. with make check TESTS=''.
915am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
916am--force-recheck:
917        @:
918
919$(TEST_SUITE_LOG): $(TEST_LOGS)
920        @$(am__set_TESTS_bases); \
921        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
922        redo_bases=`for i in $$bases; do \
923                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
924                    done`; \
925        if test -n "$$redo_bases"; then \
926          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
927          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
928          if $(am__make_dryrun); then :; else \
929            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
930          fi; \
931        fi; \
932        if test -n "$$am__remaking_logs"; then \
933          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
934               "recursion detected" >&2; \
935        elif test -n "$$redo_logs"; then \
936          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
937        fi; \
938        if $(am__make_dryrun); then :; else \
939          st=0;  \
940          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
941          for i in $$redo_bases; do \
942            test -f $$i.trs && test -r $$i.trs \
943              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
944            test -f $$i.log && test -r $$i.log \
945              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
946          done; \
947          test $$st -eq 0 || exit 1; \
948        fi
949        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
950        ws='[   ]'; \
951        results=`for b in $$bases; do echo $$b.trs; done`; \
952        test -n "$$results" || results=/dev/null; \
953        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
954        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
955        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
956        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
957        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
958        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
959        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
960        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
961          success=true; \
962        else \
963          success=false; \
964        fi; \
965        br='==================='; br=$$br$$br$$br$$br; \
966        result_count () \
967        { \
968            if test x"$$1" = x"--maybe-color"; then \
969              maybe_colorize=yes; \
970            elif test x"$$1" = x"--no-color"; then \
971              maybe_colorize=no; \
972            else \
973              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
974            fi; \
975            shift; \
976            desc=$$1 count=$$2; \
977            if test $$maybe_colorize = yes && test $$count -gt 0; then \
978              color_start=$$3 color_end=$$std; \
979            else \
980              color_start= color_end=; \
981            fi; \
982            echo "$${color_start}# $$desc $$count$${color_end}"; \
983        }; \
984        create_testsuite_report () \
985        { \
986          result_count $$1 "TOTAL:" $$all   "$$brg"; \
987          result_count $$1 "PASS: " $$pass  "$$grn"; \
988          result_count $$1 "SKIP: " $$skip  "$$blu"; \
989          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
990          result_count $$1 "FAIL: " $$fail  "$$red"; \
991          result_count $$1 "XPASS:" $$xpass "$$red"; \
992          result_count $$1 "ERROR:" $$error "$$mgn"; \
993        }; \
994        {                                                               \
995          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
996            $(am__rst_title);                                           \
997          create_testsuite_report --no-color;                           \
998          echo;                                                         \
999          echo ".. contents:: :depth: 2";                               \
1000          echo;                                                         \
1001          for b in $$bases; do echo $$b; done                           \
1002            | $(am__create_global_log);                                 \
1003        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1004        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1005        if $$success; then                                              \
1006          col="$$grn";                                                  \
1007         else                                                           \
1008          col="$$red";                                                  \
1009          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1010        fi;                                                             \
1011        echo "$${col}$$br$${std}";                                      \
1012        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1013        echo "$${col}$$br$${std}";                                      \
1014        create_testsuite_report --maybe-color;                          \
1015        echo "$$col$$br$$std";                                          \
1016        if $$success; then :; else                                      \
1017          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1018          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1019            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1020          fi;                                                           \
1021          echo "$$col$$br$$std";                                        \
1022        fi;                                                             \
1023        $$success || exit 1
1024
1025check-TESTS:
1026        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1027        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1028        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1029        @set +e; $(am__set_TESTS_bases); \
1030        log_list=`for i in $$bases; do echo $$i.log; done`; \
1031        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1032        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1033        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1034        exit $$?;
1035recheck: all $(check_PROGRAMS)
1036        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1037        @set +e; $(am__set_TESTS_bases); \
1038        bases=`for i in $$bases; do echo $$i; done \
1039                 | $(am__list_recheck_tests)` || exit 1; \
1040        log_list=`for i in $$bases; do echo $$i.log; done`; \
1041        log_list=`echo $$log_list`; \
1042        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1043                am__force_recheck=am--force-recheck \
1044                TEST_LOGS="$$log_list"; \
1045        exit $$?
1046.test.log:
1047        @p='$<'; \
1048        $(am__set_b); \
1049        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1050        --log-file $$b.log --trs-file $$b.trs \
1051        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1052        "$$tst" $(AM_TESTS_FD_REDIRECT)
1053@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1054@am__EXEEXT_TRUE@       @p='$<'; \
1055@am__EXEEXT_TRUE@       $(am__set_b); \
1056@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1057@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1058@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1059@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1060
1061distdir: $(DISTFILES)
1062        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1063        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1064        list='$(DISTFILES)'; \
1065          dist_files=`for file in $$list; do echo $$file; done | \
1066          sed -e "s|^$$srcdirstrip/||;t" \
1067              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1068        case $$dist_files in \
1069          */*) $(MKDIR_P) `echo "$$dist_files" | \
1070                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1071                           sort -u` ;; \
1072        esac; \
1073        for file in $$dist_files; do \
1074          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1075          if test -d $$d/$$file; then \
1076            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1077            if test -d "$(distdir)/$$file"; then \
1078              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1079            fi; \
1080            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1081              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1082              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1083            fi; \
1084            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1085          else \
1086            test -f "$(distdir)/$$file" \
1087            || cp -p $$d/$$file "$(distdir)/$$file" \
1088            || exit 1; \
1089          fi; \
1090        done
1091check-am: all-am
1092        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1093        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1094check: check-am
1095all-am: Makefile $(PROGRAMS)
1096installdirs:
1097        for dir in "$(DESTDIR)$(libexecdir)"; do \
1098          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1099        done
1100install: install-am
1101install-exec: install-exec-am
1102install-data: install-data-am
1103uninstall: uninstall-am
1104
1105install-am: all-am
1106        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1107
1108installcheck: installcheck-am
1109install-strip:
1110        if test -z '$(STRIP)'; then \
1111          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1112            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1113              install; \
1114        else \
1115          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1116            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1117            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1118        fi
1119mostlyclean-generic:
1120        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1121        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1122        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1123
1124clean-generic:
1125        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1126
1127distclean-generic:
1128        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1129        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1130
1131maintainer-clean-generic:
1132        @echo "This command is intended for maintainers to use"
1133        @echo "it deletes files that may require special tools to rebuild."
1134clean: clean-am
1135
1136clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1137        clean-libtool mostlyclean-am
1138
1139distclean: distclean-am
1140        -rm -rf ./$(DEPDIR)
1141        -rm -f Makefile
1142distclean-am: clean-am distclean-compile distclean-generic \
1143        distclean-tags
1144
1145dvi: dvi-am
1146
1147dvi-am:
1148
1149html: html-am
1150
1151html-am:
1152
1153info: info-am
1154
1155info-am:
1156
1157install-data-am:
1158
1159install-dvi: install-dvi-am
1160
1161install-dvi-am:
1162
1163install-exec-am: install-libexecPROGRAMS
1164
1165install-html: install-html-am
1166
1167install-html-am:
1168
1169install-info: install-info-am
1170
1171install-info-am:
1172
1173install-man:
1174
1175install-pdf: install-pdf-am
1176
1177install-pdf-am:
1178
1179install-ps: install-ps-am
1180
1181install-ps-am:
1182
1183installcheck-am:
1184
1185maintainer-clean: maintainer-clean-am
1186        -rm -rf ./$(DEPDIR)
1187        -rm -f Makefile
1188maintainer-clean-am: distclean-am maintainer-clean-generic
1189
1190mostlyclean: mostlyclean-am
1191
1192mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1193        mostlyclean-libtool
1194
1195pdf: pdf-am
1196
1197pdf-am:
1198
1199ps: ps-am
1200
1201ps-am:
1202
1203uninstall-am: uninstall-libexecPROGRAMS
1204
1205.MAKE: check-am install-am install-strip
1206
1207.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1208        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1209        clean-libtool cscopelist-am ctags ctags-am distclean \
1210        distclean-compile distclean-generic distclean-libtool \
1211        distclean-tags distdir dvi dvi-am html html-am info info-am \
1212        install install-am install-data install-data-am install-dvi \
1213        install-dvi-am install-exec install-exec-am install-html \
1214        install-html-am install-info install-info-am \
1215        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1216        install-ps install-ps-am install-strip installcheck \
1217        installcheck-am installdirs maintainer-clean \
1218        maintainer-clean-generic mostlyclean mostlyclean-compile \
1219        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1220        recheck tags tags-am uninstall uninstall-am \
1221        uninstall-libexecPROGRAMS
1222
1223.PRECIOUS: Makefile
1224
1225
1226$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1227
1228# Tell versions [3.59,3.63) of GNU make to not export all variables.
1229# Otherwise a system limit (for SysV at least) may be exceeded.
1230.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.